Bug 67145 - gdth driver crashes
gdth driver crashes
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-20 08:26 EDT by Heinz-Peter Heidinger
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heinz-Peter Heidinger 2002-06-20 08:26:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cat /proc/scsi/gdth/3
2.'icpd' (ICP Vortex Daemon) crashed as well when READING the device
3. On Shutdown the entire machine crashes and hangs 'til the RESET
button is pressed or the box is powered down. Real bad situation for
an high-availability system ..:-((



Expected Results:  Reading information of the driver state ... normal for stuff
that pops
up in /proc, anyway

Additional info:

Here a copy of a message that your colleagues from the help-desk 
slapped right back into my face ... not so nice, though.
They could have forwarded it right away ...

Here we go:
Heinz-Peter Heidinger <hph@hphbbs.ruhr.de> writes:

> Hello dear RedHat people,
>
> As the "Subject:" says ... (sad to say that) ...
> The gdth driver crashes if one reads from the
> driver by e.g. "cat /proc/scsi/gdth/3" (in my case). Other processes that
> read from the driver
> (e.g. "ipcd") lead to the strange happenings as well (see klog dump
> below)
>
> The core dump looks as follows:
>
> ------------ 8< snip, snip 8< --------------------
> (nothing real bad til' here)
> Jun 13 18:25:07 hphs5 icpd: Starting ICP RAID remote access service...
> Jun 13 18:25:07 hphs5 icpd: success
> Jun 13 18:25:07 hphs5 kernel: Unable to handle kernel NULL pointer
> dereference at virtual address 00000000
> Jun 13 18:25:07 hphs5 kernel:  printing eip:
> Jun 13 18:25:07 hphs5 kernel: f880e2f1
> Jun 13 18:25:07 hphs5 kernel: *pde = 00000000
> Jun 13 18:25:07 hphs5 kernel: Oops: 0002
> Jun 13 18:25:07 hphs5 kernel: binfmt_misc autofs 3c59x eepro100 loop
> usb-ohci usbcore gdth ext3 jbd raid5 xo
> Jun 13 18:25:07 hphs5 kernel: CPU:    1
> Jun 13 18:25:07 hphs5 kernel: EIP:    0010:[<f880e2f1>]    Not tainted
> Jun 13 18:25:07 hphs5 kernel: EFLAGS: 00010092
> Jun 13 18:25:07 hphs5 rc: Starting icpd:  succeeded
> Jun 13 18:25:07 hphs5 kernel:
> Jun 13 18:25:07 hphs5 kernel: EIP is at scsi_build_commandblocks
> [scsi_mod] 0x21 (2.4.18-4smp)
> Jun 13 18:25:08 hphs5 webmin: Starting Webmin server in
> /usr/libexec/webmin
> Jun 13 18:25:08 hphs5 kernel: eax: 00000000   ebx: f5027c00   ecx:
> 00000000   edx: f5027c18
> Jun 13 18:25:08 hphs5 kernel: esi: c0350000   edi: f5027d10   ebp:
> 00000210   esp: f4a77eec
> Jun 13 18:25:08 hphs5 kernel: ds: 0018   es: 0018   ss: 0018
> Jun 13 18:25:08 hphs5 kernel: Process icpd (pid: 1566,
> stackpage=f4a77000)
> Jun 13 18:25:08 hphs5 kernel: Stack: f5027c18 c0350000 00000292 f5027c00
> c0350000 f5027d10 00000210 f880fcdb
> Jun 13 18:25:08 hphs5 kernel:        f5027c00 f4b40000 f4b40000 c0350000
> f888f180 c0350000 f4a77f58 f4b40000
> Jun 13 18:25:08 hphs5 kernel:        00000210 f4b40000 c0350000 00000210
> f8811abb f4b40000 00000210 00000000
> Jun 13 18:25:08 hphs5 kernel: Call Trace:[<f880fcdb>]
> scsi_get_host_dev_Rsmp_f651c1f2 [scsi_mod] 0x4b
> Jun 13 18:25:08 hphs5 kernel: [<f888f180>] gdth_set_info [gdth] 0x20
> Jun 13 18:25:08 hphs5 kernel: [<f8811abb>] proc_scsi_write [scsi_mod]
> 0x6b
> Jun 13 18:25:08 hphs5 kernel: [<c0164c21>] proc_file_write [kernel] 0x31
>
> Jun 13 18:25:08 hphs5 kernel: [<c0141bf6>] sys_write [kernel] 0x96
> Jun 13 18:25:08 hphs5 kernel: [<c0141455>] sys_open [kernel] 0x95
> Jun 13 18:25:08 hphs5 kernel: [<c0108c6b>] system_call [kernel] 0x33
> Jun 13 18:25:08 hphs5 kernel:
> Jun 13 18:25:08 hphs5 kernel:
> Jun 13 18:25:08 hphs5 kernel: Code: f0 fe 08 0f 88 ad 1d 00 00 80 bb 05
> 01 00 00 00 75 19 8b 54
> Jun 13 18:25:09 hphs5 rc: Starting webmin:  succeeded
> (everything is fine from here on)
> ------------ 8< snip, snip 8< --------------------
>
> Any ideas?
>
> Best regards,
> Peter Heidinger from Germany

Again, Best regards,
Peter Heidinger from Germany
(ComServe - Data Processing Services)
Comment 1 Arjan van de Ven 2003-06-07 14:46:59 EDT
this was fixed several errata releases ago

Note You need to log in before you can comment on or make changes to this bug.